> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /drom/cars/search

> Search Drom.ru car listings by brand, model and filters: fuel, body type, condition, transmission, drive, steering wheel side, damage, price/year/mileage/power ranges, color and sort order. Returns listing cards with id, url, title, subtitle, price, location, date, dealer info and images.

**Price:** 10 credits per 20 results



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/drom/cars/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/drom/cars/search:
    post:
      tags:
        - /drom
      summary: /drom/cars/search
      description: >-
        Search Drom.ru car listings by brand, model and filters: fuel, body
        type, condition, transmission, drive, steering wheel side, damage,
        price/year/mileage/power ranges, color and sort order. Returns listing
        cards with id, url, title, subtitle, price, location, date, dealer info
        and images.


        **Price:** 10 credits per 20 results
      operationId: __api_drom_cars_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DromCarsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DromCarCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DromCarsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        brand:
          anyOf:
            - type: string
            - type: 'null'
        model:
          anyOf:
            - type: string
            - type: 'null'
        fuel:
          anyOf:
            - $ref: '#/components/schemas/DromFuel'
            - type: 'null'
        body_type:
          anyOf:
            - $ref: '#/components/schemas/DromBodyType'
            - type: 'null'
        condition:
          $ref: '#/components/schemas/DromCondition'
          default: all
        transmission:
          anyOf:
            - $ref: '#/components/schemas/DromTransmission'
            - type: 'null'
        drive:
          anyOf:
            - $ref: '#/components/schemas/DromDrive'
            - type: 'null'
        wheel:
          anyOf:
            - $ref: '#/components/schemas/DromWheel'
            - type: 'null'
        damage:
          $ref: '#/components/schemas/DromDamage'
          default: any
        price_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        year_min:
          anyOf:
            - type: integer
              minimum: 1900
            - type: 'null'
        year_max:
          anyOf:
            - type: integer
              minimum: 1900
            - type: 'null'
        mileage_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        mileage_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        power_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        power_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        color_id:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
        available_only:
          type: boolean
          default: false
        sort:
          $ref: '#/components/schemas/DromCarsSort'
          default: relevance
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    DromCarCard:
      properties:
        '@type':
          type: string
          default: DromCarCard
        id:
          type: string
        url:
          type: string
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: integer
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        is_dealer:
          anyOf:
            - type: boolean
            - type: 'null'
        dealer_name:
          anyOf:
            - type: string
            - type: 'null'
        is_sold:
          anyOf:
            - type: boolean
            - type: 'null'
        attributes:
          items:
            type: string
          type: array
          default: []
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DromFuel:
      type: string
      enum:
        - petrol
        - diesel
        - hybrid
        - gas
        - electro
    DromBodyType:
      type: string
      enum:
        - sedan
        - hatchback
        - liftback
        - coupe
        - suv
        - wagon
        - van
        - pickup
    DromCondition:
      type: string
      enum:
        - all
        - used
        - new
    DromTransmission:
      type: string
      enum:
        - manual
        - automatic
        - variator
    DromDrive:
      type: string
      enum:
        - front
        - rear
        - full
    DromWheel:
      type: string
      enum:
        - left
        - right
    DromDamage:
      type: string
      enum:
        - any
        - damaged
        - not_damaged
    DromCarsSort:
      type: string
      enum:
        - relevance
        - price_asc
        - price_desc
        - year_asc
        - year_desc
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````